apiVersion: v1
kind: Secret
metadata:
  name: {{ include "sogo.fullname" . }}-mysql
  labels:
    {{- include "sogo.labels" . | nindent 4 }}
type: Opaque
data:
  MYSQL_SERVER: {{ .Values.deployment.config.MYSQL_SERVER | b64enc | quote }}
  MYSQL_ROOT_PASSWORD: {{ .Values.deployment.config.MYSQL_ROOT_PASSWORD | b64enc | quote }}
  MYSQL_USER: {{ .Values.deployment.config.MYSQL_USER | b64enc | quote }}
  MYSQL_USER_PASSWORD: {{ .Values.deployment.config.MYSQL_USER_PASSWORD | b64enc | quote }}
  MYSQL_DATABASE_NAME: {{ .Values.deployment.config.MYSQL_DATABASE_NAME | b64enc | quote }}
